- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SolverOption Class Reference

the SolverOption class. More...

`#include <OSOption.h>`

Collaboration diagram for SolverOption:

[legend]
List of all members.

## Public Member Functions
| SolverOption ()
| Default constructor.
| ~SolverOption ()
| Class destructor.
bool | IsEqual (SolverOption *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
std::string | name
| the name of the option
std::string | value
| the value of the option
std::string | solver
| the solver to which the option applies
std::string | category
| the category to which the option belongs
std::string | type
| the type of the option value (integer, double, boolean, string)
std::string | description
| the description of the option
int | numberOfItems
| the number of items (additional pieces of data) of the option
std::string * | item
| the list of items of the option

## Detailed Description

the SolverOption class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 2816 of file OSOption.h.

## Constructor & Destructor Documentation

SolverOption::SolverOption | ( |  | ) |

Default constructor.

Definition at line 1130 of file OSOption.cpp.

SolverOption::~SolverOption | ( |  | ) |

Class destructor.

Definition at line 1145 of file OSOption.cpp.

References item.

## Member Function Documentation

bool SolverOption::IsEqual | ( | SolverOption * | that | ) |

A function to check for the equality of two objects.

Definition at line 10154 of file OSOption.cpp.

References category, description, name, solver, type, and value.

bool SolverOption::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 11267 of file OSOption.cpp.

References category, description, item, name, numberOfItems, OSRand(), solver, type, and value.

Referenced by SolverOptions::setRandom().

## Member Data Documentation

std::string SolverOption::name

the name of the option

Definition at line 2820 of file OSOption.h.

Referenced by SolverOptions::addSolverOption(), IsEqual(), setRandom(), OSOption::setSolverOptionContent(), and SolverOptions::setSolverOptions().

std::string SolverOption::value

the value of the option

Definition at line 2823 of file OSOption.h.

Referenced by SolverOptions::addSolverOption(), IsEqual(), setRandom(), OSOption::setSolverOptionContent(), and SolverOptions::setSolverOptions().

std::string SolverOption::solver

the solver to which the option applies

Definition at line 2826 of file OSOption.h.

Referenced by SolverOptions::addSolverOption(), IsEqual(), setRandom(), OSOption::setSolverOptionContent(), and SolverOptions::setSolverOptions().

std::string SolverOption::category

the category to which the option belongs

Definition at line 2829 of file OSOption.h.

Referenced by SolverOptions::addSolverOption(), IsEqual(), setRandom(), OSOption::setSolverOptionContent(), and SolverOptions::setSolverOptions().

std::string SolverOption::type

the type of the option value (integer, double, boolean, string)

Definition at line 2832 of file OSOption.h.

Referenced by SolverOptions::addSolverOption(), IsEqual(), setRandom(), OSOption::setSolverOptionContent(), and SolverOptions::setSolverOptions().

std::string SolverOption::description

the description of the option

Definition at line 2835 of file OSOption.h.

Referenced by SolverOptions::addSolverOption(), IsEqual(), setRandom(), OSOption::setSolverOptionContent(), and SolverOptions::setSolverOptions().

int SolverOption::numberOfItems

the number of items (additional pieces of data) of the option

Definition at line 2838 of file OSOption.h.

Referenced by SolverOptions::addSolverOption(), setRandom(), OSOption::setSolverOptionContent(), and SolverOptions::setSolverOptions().

std::string* SolverOption::item

the list of items of the option

Definition at line 2841 of file OSOption.h.

Referenced by setRandom(), OSOption::setSolverOptionContent(), SolverOptions::setSolverOptions(), and ~SolverOption().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp